-- MySQL dump 10.8
--
-- Host: localhost    Database: PO_0905
-- ------------------------------------------------------
-- Server version	4.1.7-standard-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="" */;

--
-- Table structure for table `association`
--

DROP TABLE IF EXISTS `association`;
CREATE TABLE `association` (
  `id` int(11) NOT NULL auto_increment,
  `term_id` int(11) NOT NULL default '0',
  `gene_product_id` int(11) NOT NULL default '0',
  `is_not` int(11) default NULL,
  `role_group` int(11) default NULL,
  `assocdate` int(11) default NULL,
  `source_db_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `a0` (`id`),
  KEY `source_db_id` (`source_db_id`),
  KEY `a1` (`term_id`),
  KEY `a2` (`gene_product_id`),
  KEY `a3` (`term_id`,`gene_product_id`),
  KEY `a4` (`id`,`term_id`,`gene_product_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

